Skip to main content

GET /v2/defi/dex-volumes

Returns aggregate DEX trading volume data from aggregated DEX volume sources. Covers all major decentralized exchanges.

Example

curl "https://api.crypton.dev/v2/defi/dex-volumes" \
  -H "X-API-Key: YOUR_API_KEY"
Response
{
  "status": "ok",
  "timestamp": 1711670400000,
  "data": {
    "totalDataChart": [...],
    "totalDataChartBreakdown": [...],
    "protocols": [
      {
        "name": "uniswap",
        "displayName": "Uniswap",
        "total24h": 2500000000,
        "total7d": 15000000000,
        "chains": ["Ethereum", "Arbitrum", "Polygon", "Base", "Optimism"]
      }
    ]
  }
}

Data Source

Data Source — Aggregated from decentralized exchanges across all chains Aggregates 24h and 7d volume data from 100+ DEXes across all chains.

Live Testing

# Top DEXes by 24h volume
curl -s "https://api.crypton.dev/v2/defi/dex-volumes" -H "X-API-Key: YOUR_KEY" \
  | jq '[.data.protocols | sort_by(-.total24h) | .[:10][] | {name: .displayName, vol_24h_m: (.total24h / 1e6 | round)}]'